------------------------------------------------------------------
-- Spring 관련 아티클 2006. 1. 17 -----------------------------------
------------------------------------------------------------------

-- Article 테이블(id, lang, title, 	url, pub_date, description, author_ref, source_ref)
INSERT INTO ARTICLE
	VALUES(1, 'EN', 'A Brief Introduction to IoC', 'http://today.java.net/lpt/a/73', '2004-02-10',
	'This article aims to introduce the notion of Inversion Of Control (IoC) and how it can streamline application design. We will look at the different types of IoC frameworks. By showing how IoC can result in simpler, more flexible code, you''ll also be able to see why IoC has attracted so much interest of late.',
	1, 1);

INSERT INTO ARTICLE
	VALUES(10, 'EN', 'Add a simple rule engine to your Spring-based applications', 'http://www.javaworld.com/javaworld/jw-04-2005/jw-0425-ruleengine_p.html', '2005-04-25',
	'This article explains the advantages of rule engines and declarative business logic in J2EE applications and describes how to develop a simple rule engine for the popular Spring Framework. The author assumes the reader is somewhat familiar with Spring. ',
	2, 2);
INSERT INTO ARTICLE
	VALUES(3, 'EN', 'Add Some Spring to Your Oracle JDBC Access', 'http://www.oracle.com/technology/pub/articles/marx_spring.html?_template=/ocom/technology/content/print', '2005-11-17',
	'The Spring Framework is a Java/J2EE application framework released under the Apache license that potentially supports multiple tiers in a J2EE application. A prominent feature of the Spring Framework is its support for more maintainable and robust JDBC data access. In this article, you will learn how the Spring Framework-which can be used in conjunction with the Oracle TopLink object/relational mapping tool-reduces much of the tedium and risk associated with writing JDBC code. Developers can use the Spring Framework to make their Oracle database-'
	||'accessing JDBC code cleaner, less error-'
	||'prone, and more flexible.',
	3, 3);
INSERT INTO ARTICLE
	VALUES(4, 'EN', 'Better J2EEing with Spring', 'http://dev2dev.bea.com/lpt/a/419', '2005-07-11',
	'J2EE programming is becoming trickier-much trickier. J2EE has exploded into a complex network of APIs, complicating programming, and configuration. To address some of this complexity, new frameworks and methodologies are emerging. These frameworks rely heavily on a concept called IoC, or Inversion of Control. This article explores some features and benefits of this approach as it relates to, and eases, J2EE programming.',
	4, 4);
INSERT INTO ARTICLE VALUES(5, 'EN', 'Caveats with Class Proxying in Spring', 'http://blog.springframework.com/rob/archives/2005/08/18/caveats-with-class-proxying-in-spring/', '2005-08-18',
	'Recently, Jieba Wu posted an interesting bug report on the Spring JIRA detailing a problem he was having when proxying Spring MVC Controllers using CGLIB proxies. Essentially, he would create his target Controller object, pass in some dependency using Spring IoC and then proxy the Controller. At runtime, all invocations were sent directly to the proxy and not to the target. As a result he was seeing NullPointerExceptions because state from the target is not copied to the proxy when creating a class proxy.',
	5, 5);
INSERT INTO ARTICLE VALUES(6, 'EN', 'Controlling MBean Registration Behavior in Spring', 'http://blog.springframework.com/rob/archives/2005/10/14/controlling-mbean-registration-behavior-in-spring/', '2005-10-14',
	'In Spring 1.2.5 I modified the MBeanExporter to provide users with more control over MBean registration. Previously, the MBeanExporter would attempt to register an MBean and fail if that MBean already existed.',
	5, 5);
INSERT INTO ARTICLE VALUES(7, 'EN', 'Create a Simple IoC Container Using Annotations', 'http://today.java.net/lpt/a/203', '2005-07-05',
	'Annotations, introduced in Java 5.0, allow you to add metadata to your code and then reuse the information it contains at compile time or at run time. In this article, you will see how to use annotations to automatically resolve component dependencies. This can help to build a flexible container that can be used to inject dependencies into the custom components.',
	6, 1);
INSERT INTO ARTICLE VALUES(8, 'EN', 'Hot Reloadable Web Flows', 'http://jroller.com/page/kdonald?entry=hot_reloadable_web_flows', '2005-10-10',
	'Work towards Spring Web Flow 1.0 RC1 continues to roll like the Alabama Crimson Tide. This entry is about a significant 1.0 feature that delivers on development agility: hot reloadable web flows.',
	7, 6);
INSERT INTO ARTICLE VALUES(9, 'EN', 'Implementing Transaction Suspension in Spring', 'http://dev2dev.bea.com/lpt/a/40', '2005-07-04',
	'The Spring Framework, a popular Java/J2EE application framework built on a lightweight Inversion-of-Control container, is particularly well-known for its data access and transaction management capabilities. Spring''s declarative transaction demarcation can be applied to any POJO target object, with the full sophistication of declarative transactions as found in EJB Container-Managed Transactions (CMT). The choices for a back-end transaction manager range from simple JDBC-based transactions to full-fledged J2EE transactions via JTA.',
	8, 4);
INSERT INTO ARTICLE VALUES(2, 'EN', 'Implementing type safe service factory for Spring', 'http://jroller.com/page/eu?entry=implementing_type_safe_service_factory', '2005-09-19',
	'Spring''s ApplicationContext is a nice abstraction, but unfortunately it does not provide real type safety for getBean() method and usually it lead to bunch of hard coded constants for bean names in some service interface.',
	6, 7);
INSERT INTO ARTICLE VALUES(11, 'KR', 'Spring으로 J2EE를 더 잘 활용하기', 'http://dev2dev.co.kr/pub/a/2005/07/better_j2eeing.jsp', '2005-07-11',
	'J2EE 프로그래밍은 점점 더 까다로워지고 있습니다. J2EE는 복잡한 API 네트워크로 발전했으며 이로 인해 프로그래밍과 구성 작업이 더욱 어려워졌습니다. 이러한 복잡성을 해소하기 위해 새로운 프레임워크와 방법론이 등장하고 있습니다. 이러한 프레임워크는IoC(Inversion of Control)라는 개념에 크게 의존합니다. 이 문서에서는 J2EE 프로그래밍과 관련되고 이를 용이하게 하는 이러한 접근법의 기능과 이점에 대해 살펴보겠습니다.',
	4, 4);
INSERT INTO ARTICLE VALUES(12, 'EN', 'Let your Ant enjoy Spring', 'http://www.javaworld.com/javaworld/jw-02-2005/jw-0214-antspring_p.html', '2005-02-14',
	'This article presents an Ant task extension that allows the invocation of an IoC (Inversion of Control) managed object or any unmanaged object. It also shows how OGNL (Object Graph Navigation Language) can be used to easily let Ant invoke any method expression, including those with runtime arguments. The use of JUnit to test the Ant extension is also illustrated. In addition, an implementation is shown using the Spring framework. The Ant-IoC combination opens up new possibilities for creating loosely coupled software development support tasks.',
	9, 2);
INSERT INTO ARTICLE VALUES(13, 'EN', 'Method Injection', 'http://blog.springframework.com/rod/?p=1', '2004-08-06',
	'A couple of months ago, in the days before I had a blog, there was a discussion by Cedric and Bob about Getter Injection.',
	10, 8);
INSERT INTO ARTICLE VALUES(14, 'EN', 'More concise and easier to validate XML configuration files in Spring', 'http://radio.weblogs.com/0112098/2005/06/10.html#a527', '2005-06-10',
	'Spring rocks and I''m a fan of its XML configuration mechanism, but there are times when it can be a little verbose. On the ActiveMQ project for example, we use Spring to configure the broker - but to make it easier for users to know how to configure the broker, without wading through the POJOs which make up the implementation, we provide a neater XML configuration language. This language is basically derived from Spring''s XML, so you can still use all of the neat Spring configuration mechanisms, but we add some new types for the ActiveMQ broker which are documented and described in ActiveMQ''s schema',
	11, 9);
INSERT INTO ARTICLE VALUES(15, 'KR', 'Spring에서 트랜잭션 일시 중지 구현', 'http://dev2dev.co.kr/pub/a/2005/07/spring_transactions.jsp', '2005-07-04',
	'널리 사용되고 있는 Java/J2EE 애플리케이션 프레임워크로서 lightweight Inversion-of-Control 컨테이너에서 구축된 Spring Framework는 특히 데이터 액세스와 트랜잭션 관리 기능으로 잘 알려져 있습니다. EJB CMT(Container-Managed Transactions)에서와 같은 정교한 선언적 트랜잭션과 함께 어떠한 POJO 대상 객체에도 Spring의 선언적 트랜잭션 경계 설정(demarcation)을 적용할 수 있습니다. 백엔드 트랜잭션 매니저에 대한 선택 범위는 단순한 JDBC 기반 트랜잭션으로부터 JTA를 통한 완전한 J2EE트랜잭션에 이르기까지 다양합니다.',
	8, 4);
INSERT INTO ARTICLE VALUES(16, 'EN', 'Pro Spring: Spring and EJB', 'http://www.javaworld.com/javaworld/jw-02-2005/jw-0214-springejb_p.html', '2005-02-14',
	'In traditional J2EE applications, Enterprise JavaBeans (EJB) often forms the cornerstone of an application''s architecture. Although Spring provides simpler versions of many of the services provided by EJB, such as declarative transaction management and object persistence, many applications will continue to be built using EJBs for some time. Thankfully, you can still utilize Spring in an EJB-based solution, and in this article, an excerpt from Pro Spring (Apress, January 2005), authors Rob Harrop and Jan Machacek look at how Spring can simplify the creation of EJBs and provide a straightforward, DI-friendly way to access EJB resources.',
	5, 2);

--INSERT INTO ARTICLE VALUES();
